%define upstream_name    Time-Duration
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Rounded or exact English expression of durations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildArch:  noarch

%description
This module provides functions for expressing durations in rounded or exact
terms.

In the first example in the Synopsis, using duration($interval_seconds):

If the 'time() - $start_time' is 3 seconds, this prints "Runtime: *3
seconds*.". If it's 0 seconds, it's "Runtime: *0 seconds*.". If it's 1
second, it's "Runtime: *1 second*.". If it's 125 seconds, you get "Runtime:
*2 minutes and 5 seconds*.". If it's 3820 seconds (which is exactly 1h, 3m,
40s), you get it rounded to fit within two expressed units: "Runtime: *1
hour and 4 minutes*.". Using duration_exact instead would return "Runtime:
*1 hour, 3 minutes, and 40 seconds*".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-3.mga6
+ Revision: 1035249
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.200.0-2.mga6
+ Revision: 967727
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 850140
- update to 1.20

* Sun Oct 19 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 788544
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 749181
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-3.mga5
+ Revision: 686693
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.100.0-2.mga4
+ Revision: 527411
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.100.0-1.mga4
+ Revision: 440018
- update to 1.1

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 374349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 23006
- cleaning spec file
- imported package perl-Time-Duration


* Fri Dec 24 2010 Shlomi Fish <shlomif@mandriva.org> 1.60.0-1mdv2011.0
+ Revision: 624674
- import perl-Time-Duration

